跳转到主要内容
GET
/
v1
/
wallet
/
{chain}
/
{walletAddress}
/
net-worth
钱包 - 净值
curl --request GET \
  --url https://api.chainstream.io/v1/wallet/{chain}/{walletAddress}/net-worth \
  --header 'Authorization: Bearer <token>'
{
  "walletAddress": "8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1",
  "totalValueInUsd": "3.369918",
  "totalValueInNative": "0.040382",
  "currentTimestamp": "2025-05-19T04:47:19.414Z",
  "data": [
    {
      "tokenAddress": "EPjFWdd5AufqSSqeM2qN1xzybapC8G4wEGGkZwyTDt1v",
      "decimals": 6,
      "priceInUsd": "0.00014999198221145974",
      "priceInNative": "0.000001855",
      "amount": "69",
      "valueInUsd": "0.010349446772590722",
      "valueInNative": "0.000127995",
      "chain": "sol",
      "name": "Smellow",
      "symbol": "SMLO",
      "logoUri": "https://pump.mypinata.cloud/ipfs/QmcCjKS4MMeji11PqnNhqDSXd6gD4iGj1nC6zjyfaekuQZ"
    }
  ],
  "hasNext": false,
  "hasPrev": false,
  "startCursor": "<string>",
  "endCursor": "<string>",
  "total": 0
}

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

路径参数

chain
enum<string>
必填

支持网络中列出的区块链名称

可用选项:
sol,
bsc,
eth
walletAddress
string
必填

钱包地址

示例:

"8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1"

查询参数

cursor
string

分页游标

limit
integer<int64>
默认值:20

每页结果数量

必填范围: 1 <= x <= 100
direction
enum<string>
默认值:next

分页方向(next或prev)

可用选项:
next,
prev

响应

200 - application/json
walletAddress
string
必填

钱包地址

示例:

"8X35rQUK2u9hfn8rMPwwr6ZSEUhbmfDPEapp589XyoM1"

totalValueInUsd
string
必填

钱包总价值(美元)

示例:

"3.369918"

totalValueInNative
string
必填

钱包总价值(原生代币)

示例:

"0.040382"

currentTimestamp
string
必填

当前服务器时间戳(ISO 8601)

示例:

"2025-05-19T04:47:19.414Z"

data
object[]
必填

数据项数组

hasNext
boolean
默认值:false

指示是否有更多结果

hasPrev
boolean
默认值:false

指示是否有上一页结果

startCursor
string

当前页第一项的游标

endCursor
string

当前页最后一项的游标

total
integer<int64>
默认值:0

总项目数